Package wx :: Class PyPreviewControlBar

[frames | no frames]

## Type PyPreviewControlBar

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
             PreviewControlBar --+
                                 |
                                PyPreviewControlBar

Proxy of C++ PyPreviewControlBar class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
| ``base_CreateButtons`(*args, **kwargs)` Please use PreviewControlBar.CreateButtons instead.
| ``base_SetZoomControl`(*args, **kwargs)` Please use PreviewControlBar.SetZoomControl instead.
| `CreateButtons(self)`
| `SetPrintPreview(self, preview)`
| `SetZoomControl(self, zoom)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, preview, buttons, parent, pos=DefaultPosition, size=DefaultSize, style=0, name=PanelNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.PreviewControlBar.__init__` (inherited documentation)

### base_CreateButtons(*args, **kwargs)

Please use PreviewControlBar.CreateButtons instead.

### base_SetZoomControl(*args, **kwargs)

Please use PreviewControlBar.SetZoomControl instead.

Property Details

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:23 2007 | http://epydoc.sf.net